webkit-0.12.6.1: Binding to the Webkit library.

Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.DOM.Text

# Documentation

textSplitText :: TextClass self => self -> Word -> IO (Maybe Text)

textReplaceWholeText :: TextClass self => self -> String -> IO (Maybe Text)

textGetWholeText :: TextClass self => self -> IO String

newtype Text

Constructors

Text (ForeignPtr Text) |

Instances

Eq Text |
Ord Text |
GObjectClass Text |
TextClass Text |
CharacterDataClass Text |
NodeClass Text |

class CharacterDataClass o => TextClass o

Instances

TextClass Text |

castToText :: GObjectClass obj => obj -> Text

gTypeText :: GType

toText :: TextClass o => o -> Text